	include		"calc.h"

	include		"doorsos.h"
	include		"shrnklib.h"

	xdef		_prosit
	xdef    	_main
	xdef		_exit
	xdef		_comment

	include		"prosit.h"

;********************************
;* Prosit background image file *
;* Input: a1.l = *Background    *
;********************************

_prosit:
	HEADER_BEGIN
	DEFINE_PROSIT_VERSION	PROSIT_VERSION_STRING
	DEFINE_PROSIT_FILETYPE	PROSIT_FILETYPE_BACKGROUND
	HEADER_END

_main:
	movem.l		a0-a1/d0-d1,-(sp)

	lea		gfx(pc),a0
	jsr		shrnklib::OpenArchive

	move.l		a1,a0
	moveq		#0,d1
	jsr		shrnklib::Extract

	jsr		shrnklib::CloseArchive

	movem.l		(sp)+,a0-a1/d0-d1
_exit:
	rts


;***********************************************************************

 ifeq Calculator-TI92Plus
gfx	incbin		"logo2.shk"
 endif
 ifeq Calculator-TI89
gfx	incbin		"logo289.shk"
 endif

_comment
	dc.b	"PBI: Logo #2",0

	END
